<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">

		<!-- 3.) Responsive meta tag -->
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

		<title>Bootstrap Introduction & Simple Styles</title>

		<!-- 1.) Boostrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	</head>
	<body class="m-2">

		<style>
			body {
				background-color: lightblue;!important;
			}
		</style>

		<!-- Colored Links and Texts -->
		<h1>Link Colors</h1>
		<ul class="list-unstyled">
			<li>
				<a href="#" class="text-primary text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-secondary text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-success text-decoration-none">Link</a>
			</li><li>
				<a href="#" class="text-warning text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-danger text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-body text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-info text-decoration-none">Link</a>
			</li>
		</ul>


		<p class="text-primary">Lorem ipsum dolor sit, amet <span class="text-danger">consectetur</span> adipisicing elit. At maiores, consequuntur, molestias hic alias amet, quasi laborum labore neque quia officiis placeat repellat, provident. Quaerat laboriosam corrupti, explicabo nam omnis.</p>


		<!-- Background Color -->
		<h1>Background Colors</h1>
		<div class="bg-primary text-white">primary</div>
		<div class="bg-secondary text-white">secondary</div>
		<div class="bg-success text-white">success</div>
		<div class="bg-warning text-danger">warning</div>
		<div class="bg-danger text-warning">danger</div>
		<div class="bg-dark text-warning">dark</div>
		<div class="bg-info text-white">info</div>


		<!-- Text Alignment -->
		<h1>Text Alignment</h1>
		<p class="text-center m-5">
		Lorem ipsum dolor sit, amet consectetur, adipisicing elit. Adipisci ex minus nisi modi sunt quod ducimus laudantium quaerat itaque temporibus assumenda, labore facere ipsa, soluta unde nam! Hic, voluptate, quod!
		</p>
		<p class="text-justify m-5">
		Lorem ipsum dolor sit, amet consectetur, adipisicing elit. Adipisci ex minus nisi modi sunt quod ducimus laudantium quaerat itaque temporibus assumenda, labore facere ipsa, soluta unde nam! Hic, voluptate, quod!
		</p>

		<p class="text-left bg-primary text-white">Left Text</p>
		<p class="text-right bg-warning text-danger">Right Text</p>
		<p class="text-center bg-secondary text-white">Center Text</p>

		<span class="text-left">Span Left Text</span>
		<span class="text-right">Span Right Text</span>
		<span class="text-center">Span Center Text</span>


		<!-- Text Transform -->
		<h1>Text Transform</h1>
		<p class="text-lowercase">this will be transformed to uppercase</p>
		<p class="text-uppercase">THIS WILL BE TRANSFORMED TO LOWERCASE</p>
		<p class="text-capitalize">this will be transformed to capitalized</p>


		<!-- Font Weight & Italics -->
		<h1>Font Weight & Italics</h1>
		<p class="font-weight-bold">Bold Weight</p>
		<p class="font-weight-normal">Normal Weight</p>
		<p class="font-weight-light">Light Weight</p>
		<p class="font-italic">Italic Text</p>


		<!-- Borders -->
		<h1>Adding Border</h1>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border-top border-right"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border-bottom border-left"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border-left"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border-right"
		>


		<h1>Subtracting Border</h1>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-0"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-top-0 border-bottom-0 border-right-0"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-right-0 border-left-0"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-bottom-0"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border"
		>


		<h1>Border Colors</h1>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-primary"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-secondary"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-info"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-warning"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-dark border-left-0 border-right-0"
		>


		<h1>Border Radius</h1>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-primary rounded"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-secondary rounded-right rounded-bottom"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-info rounded-circle"
		>
		<img
			src="https://via.placeholder.com/175x75"
			class="p-2 m-1 border border-warning rounded-pill"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-dark border-left-0 border-right-0 rounded-circle"
		>
		<img
			src="https://via.placeholder.com/75x75"
			class="p-2 m-1 border border-dark border-top-0 border-bottom-0 rounded-circle" 
		>


		<!-- Display -->
		<h1>Display</h1>
		<div
			class="bg-primary p-2 border d-inline"
		>
			inline element
		</div>
		<span
			class="bg-warning p-2 border d-block"
		>
			block element</span>
		<span
			class="bg-secondary p-2 border d-inline-block"
		>
			inline-block element
		</span>


		<!-- Sizing -->
		<h1>Sizing: Width</h1>
		<div
			class="bg-primary p-2 m-2 border w-25"
		>
			25%
		</div>
		<div
			class="bg-secondary p-2 m-2 border w-50"
		>
			50%
		</div>
		<div
			class="bg-warning p-2 m-2 border w-75"
		>
			75%
		</div>
		<div
			class="bg-success p-2 m-2 border w-100"
		>
			100%
		</div>
		<div
			class="bg-danger p-2 m-2 border w-auto"
		>
			auto
		</div>

		<h1>Sizing: Height</h1>
		<div class="m-2 p-2 border border-dark" style="height: 300px;">
			<div
				class="bg-primary p-2 m-2 border d-inline-block h-25 w-25 text-center font-weight-bold text-white"
			>
				25%
			</div>
			<div
				class="bg-secondary p-2 m-2 border d-inline-block h-50 w-25 text-center"
			>
				50%
			</div>
			<div
				class="bg-warning p-2 m-2 border d-inline-block h-75"
			>
				75%
			</div>
			<div
				class="bg-success p-2 m-2 border d-inline-block h-100"
			>
				100%
			</div>
			<div
				class="bg-danger p-2 m-2 border d-inline-block h-auto"
			>
				auto
			</div>
		</div>


		<!-- Spacing -->
		<h1 class="mt-5 pt-5">Spacing</h1>
		<p class="border border-dark mt-4 mb-0">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nihil illo explicabo quas quo. Minima repellat fuga numquam. Dolorum asperiores commodi, quod quo, rem dicta illo qui, voluptas quaerat molestiae maiores!</p>
		<p class="border border-success mx-3">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nihil illo explicabo quas quo. Minima repellat fuga numquam. Dolorum asperiores commodi, quod quo, rem dicta illo qui, voluptas quaerat molestiae maiores!</p>
		<p class="border border-danger py-4">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nihil illo explicabo quas quo. Minima repellat fuga numquam. Dolorum asperiores commodi, quod quo, rem dicta illo qui, voluptas quaerat molestiae maiores!</p>
		<p class="border border-warning px-4">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nihil illo explicabo quas quo. Minima repellat fuga numquam. Dolorum asperiores commodi, quod quo, rem dicta illo qui, voluptas quaerat molestiae maiores!</p>
		<p class="border border-info m-5 p-5 pb-0">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nihil illo explicabo quas quo. Minima repellat fuga numquam. Dolorum asperiores commodi, quod quo, rem dicta illo qui, voluptas quaerat molestiae maiores!</p>



		<!-- 2.) Bootstrap JS -->
	</body>
</html>